## IdeSourceMap IdeSourceMap — Source code overview minimap |

## Signals

void | hide-map | Action
void | show-map | Action

## Types and Values

#define | IDE_TYPE_SOURCE_MAP
| IdeSourceMap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTextView
                        ╰── GtkSourceView
                            ╰── GtkSourceMap
                                ╰── IdeSourceMap

## Implemented Interfaces

IdeSourceMap implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

The IdeSourceMap widget provides a minimap that displays a zoomed out overview of the file in a scrollbar like interface.

This widget was eventually merged upstream into GtkSourceView, but Builder retains a few changes which focus on the ability to auto-hide the map and font rendering.

Builder contains a custom font called "BuilderBlocks" which is used by the IdeSourceMap to render content in a simplified, blocky, style.

## Functions

## Types and Values

### IDE_TYPE_SOURCE_MAP

    #define IDE_TYPE_SOURCE_MAP (ide_source_map_get_type())

### IdeSourceMap

    typedef struct _IdeSourceMap IdeSourceMap;

## Signal Details

### The `“hide-map”` signal

    void
    user_function (IdeSourceMap *idesourcemap,
                   gpointer      user_data)

The "hide-map" signal is emitted when the source map should be hidden to the user. This is determined by focus tracking of the the user's mouse pointer.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.18

### The `“show-map”` signal

    void
    user_function (IdeSourceMap *idesourcemap,
                   gpointer      user_data)

The "show-map" signal is emitted when the source map should be shown to the user. This is determined by focus tracking of the the user's mouse pointer.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.18